Subject: Re: issue 52 - nd vs. send response model

From: Pekka Savola <[email-masked]>
Date: Thu, 19 Feb 2004 16:45:21 +0200 (EET)

Sorry for not being able to answer straight away..

On Sun, 15 Feb 2004, Jari Arkko wrote:
> > The SEND model requires the model that if a host sends a solicitation,
> > the router must remember and respect that solicitation, even if it wanted to
> > respond using multicast to all the nodes.  That is, if the algorithm is set
> > so that if a host sends a solicitation, the router always replies with a
> > multicast "non-solicited response" in return, there must be both the nonce 
> > and timestamp to the multicast advertisement.
> > 
> > I don't have strong objections to this model, but I just thought it might be
> > something that some implementations (if those exist, not sure) might find
> > objectionable.
> 
> I agree that there is a difference.
> 
> But I'm not sure the difference is that great. I mean, you can still
> send a multicast response. And in this case the solicited/non-solicited
> difference is just whether you have one or two additional ND options
> in there. And other hosts that receive this can still process them
> securely or do their own solicitation if timestamp was insufficient.

Yep, I agree that this difference is not significant.  It's just 
something an implementation might do, so it may be worth spelling 
out..
 
> The only thing that is needed implementation-wise is for the multicast
> RA code piece to know whether it needs to include a Nonce. But I would
> expect most implementations to have some idea on why they are sending
> the RA. If not, a new parameter has to be added to the function call.
> 
> In any case, I added this text to Section 5.3.3:
> 
> 	  Note that routers may decide to send a multicast
> 	  advertisement to all nodes instead of a response to a
> 	  specific host. In such case the router MAY still include the
> 	  nonce value for the host that triggered the multicast
> 	  advertisement.

This seems basically good -- with the caveat that if the router does 
not include the nonce, the advertisement may end up being ignored by 
SEND nodes, right?

-- 
Pekka Savola                 "You each name yourselves king, yet the
Netcore Oy                    kingdom bleeds."
Systems. Networks. Security. -- George R.R. Martin: A Clash of Kings

--------------------------------------------------------------------
To unsubscribe from this list, send email with "UNSUBSCRIBE" in the
body to <[email-masked]>.
Archive: http://standards.ericsson.net/lists/ietf-send/maillist.html
--------------------------------------------------------------------

This communication is confidential and intended solely for the addressee(s). Any unauthorized review, use, disclosure or distribution is prohibited. If you believe this message has been sent to you in error, please notify the sender by replying to this transmission and delete the message without disclosing it. Thank you.

E-mail including attachments is susceptible to data corruption, interruption, unauthorized amendment, tampering and viruses, and we only send and receive e-mails on the basis that we are not liable for any such corruption, interception, amendment, tampering or viruses or any consequences thereof.

---

From: Jari Arkko <[email-masked]>
Date: Thu, 19 Feb 2004 17:10:52 +0200

> not include the nonce, the advertisement may end up being ignored by 

Right. Add "Omitting the nonce value may, however, cause the host to
ignore the router's advertisement, unless the clocks in these nodes are
sufficiently synchronized so that timestamps can be relied on."

Assigned issue #67.

--Jari